Subject: issue with openldap managed users on HPC

From: Davide Corrado <[email-masked]>
Date: Thu, 28 Mar 2024 10:20:58 +0000

hello, I installed guix in a HPC environment and everything works as expected if I use guix as a local user. I got this issue when I try to run it as an openldap/sssd-managed user.

example:
[
root@frontend ~]# id konrad
uid=10000(konrad) gid=10000(hpc-users) groups=10000(hpc-users)

[root@frontend ~]# getent passwd -s sss
konrad:*:10000:10000:Davide Corrado:/home/konrad:/bin/bash

[root@frontend ~]# su - konrad
Last login: Thu Mar 28 11:04:07 CET 2024 on pts/0
[konrad@frontend ~]$ id
uid=10000(konrad) gid=10000(hpc-users) groups=10000(hpc-users)
[konrad@frontend ~]$ guix install hello
user with UID 10000 not found
guix install: error: while creating directory `/var/guix/profiles/per-user/konrad': Permission denied
hint: Please create the `/var/guix/profiles/per-user/konrad' directory, with you as the owner.

I could create the missing /var/guix/profiles/per-user/konrad directory with the proper uid and gid and everything works as expected, but creating a procedure for managing this issue do not look like a clean solution to me. Am I missing something? Am I the only one using guix with such an environment?

[icon]<https://www.doit-systems.it/>
Follow us on
[Linkedin]<https://www.linkedin.com/company/do-it-systems-s.r.l.>

DAVIDE CORRADO

HPC ENGINEER

+39 011.043.8173 | +39 392.015.2300 | www.doit-systems.it<https://www.doit-systems.it/>

Via Alessandro Antonelli 10, 10093, Collegno (TO), Italy

DoIT Systems srl | Codice Fiscale e Partita IVA: 10222290016 | REA: TO 1116464 | Capitale €100.000.iv. | Sede legale: c/o Studio Angeli - via G. Pomba, 29 - 10123 Torino Sede operativa di Torino: Via Antonelli 10 - 10093 Collegno Ufficio: 011.0438173 | Sede op. di Maranello: via Tazio Nuvolari, 55 - 41053 Maranello (MO)